<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="account">
    <!--FR Sah-->
    <screen id="account" type="numeric" title="Telefon">
        <fields>
            <text-field id="id1" keyboard="Digital" max-len="10" title="Numarul de telefon">
                <validator type="regex">
                    <rules>
                        <rule regex="^\d{10}$"/>
                    </rules>
                </validator>
                <formatter type="regex">
                    <rules default="**** *** ***"/>
                </formatter>
                <help>
                    <![CDATA[<html>Introduceti numarul de telefon.]]>
                </help>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Inainte">
                <set key="Detalii plata" value="Donatie Federatia Romana de Sah"/>
                <goto target="confirm"/>
            </action>
            <action type="Prev" title="Inapoi">
                <goto target="previous"/>
            </action>
            <action type="Exit" title="Acasa">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>

    <!-- Confirmare -->
    <screen id="confirm" type="confirm" title="Confirmare">
        <fields list="Detalii plata,id1"/>
        <actions>
            <action type="Next" title="Doneaza">
                <dialog type="Info" title="Info" message="Sunteti de acord cu prelucrarea datelor cu caracter personal in scopuri de marketing?" timeout="10" default="cancel" mess-params="name">
                    <actions>
                        <action type="okay" title="Da">
                            <set key="gdpr" value="1"/>
                            <goto target="pay"/>
                        </action>
                        <action type="cancel" title="Nu">
                            <set key="gdpr" value="0"/>
                            <goto target="pay"/>
                        </action>
                    </actions>
                </dialog>
            </action>
            <action type="Prev" title="Inapoi">
                <goto target="account"/>
            </action>
            <action type="Exit" title="Acasa">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
</scenario>
